Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface Module

    @HasInternalProtocol
    public interface Module

A `Module` represents the meta-information about a project which should be used when publishing the module.

Field Summary
`static String` | `DEFAULT_STATUS`

Method Summary
`String` | `getGroup()`
`String` | `getName()`
`String` | `getStatus()`
`String` | `getVersion()`

Field Detail

### DEFAULT_STATUS

    public static final String DEFAULT_STATUS

Method Detail

### getGroup

    public String getGroup()

### getName

    public String getName()

### getStatus

    public String getStatus()

### getVersion

    public String getVersion()

Gradle API 1.10